aboutsummaryrefslogtreecommitdiffstats
path: root/testing/firehol/firehol.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/firehol/firehol.initd')
-rw-r--r--testing/firehol/firehol.initd33
1 files changed, 33 insertions, 0 deletions
diff --git a/testing/firehol/firehol.initd b/testing/firehol/firehol.initd
new file mode 100644
index 0000000000..88f3826953
--- /dev/null
+++ b/testing/firehol/firehol.initd
@@ -0,0 +1,33 @@
+#!/sbin/openrc-run
+
+name=firehol
+daemon=/usr/sbin/$name
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${name}"
+ firehol start
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ firehol stop
+ eend $?
+}
+
+try() {
+ ebegin "Testing ${name} configuration"
+ firehol try
+ eend $?
+}
+
+panic() {
+ ebegin "Putting ${name} in PANIC mode"
+ firehol panic "$@"
+ eend $?
+}
+